/*
 
 中间显示部分的圆角值为 5.0f <--> cornerRadius = 5.0f
 
 */
#import "AlertViewController.h"

#define DistanceUnit @"km"
#define TimeUnit @"小时"
#define PriceUnit @"元"

typedef void(^Myblock)();
// 扩展
@interface AlertViewController (){
    
    __weak Myblock _leftActionBlock;
    __weak Myblock _rightActionBlock;
    
    __weak IBOutlet UILabel*_distanceLabel;
    __weak IBOutlet UILabel*_timeLabel;
    __weak IBOutlet UILabel*_priceLabel;
    __weak IBOutlet UILabel*_centerLabel;
    
    NSArray *_dataArray;
}

@end

@implementation AlertViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil dataArray:(NSArray*)dataArray leftActionBlock:(void (^)())leftActionBlock rightActionBlock:(void (^)())rightActionBlock{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    
    if (self) {
        _dataArray = dataArray;
        
        //block指针
        _leftActionBlock = leftActionBlock;
        _rightActionBlock = rightActionBlock;
    }
    return self;
}

- (void)viewDidLoad {
    
    [super viewDidLoad];
    self.view.frame = CGRectMake(0, 0, 300, 200);
//    Label赋值
    [self setLabelVlaue];
    
}

//NO
- (IBAction)leftAction:(id)sender{
    
//    移除弹窗并回调block
    [self dismissViewControllerAnimated:NO completion:^{
        _leftActionBlock();
    }];
}

//YES
- (IBAction)rightAction:(id)sender{
    
//    移除弹窗并回调block
    [self dismissViewControllerAnimated:NO completion:^{
        _rightActionBlock();
    }];
    
}

- (void)setLabelVlaue{
    _distanceLabel.text = [NSString stringWithFormat:@"%@%@",_dataArray[0],DistanceUnit];
    _timeLabel.text = [NSString stringWithFormat:@"%@%@",_dataArray[1],TimeUnit];
    _priceLabel.text = [NSString stringWithFormat:@"%@%@",_dataArray[2],PriceUnit];
    _centerLabel.text = [NSString stringWithFormat:@"%@",_dataArray[3]];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
